*{
    margin: 0;
    padding: 0;
}
p{
    font-family: "Merienda", serif;
    font-size: 25px;
}
a{
  text-decoration: none;
  color: #ffffff;
  font-family: "Merienda", serif;
  font-size: 20px;
}
h1{
  padding-top: 20px;
  font-size: 60px;
  font-weight: bold;
  font-family: "Economica";
  color: #ff771d;
}

h2{
  font-size: 2.5rem;
  font-family: "Economica";
  color: #ff771d;
}

#features h1{
    color: #ffffff;
    font-family: "Economica";
    font-size: 60px;
    font-weight: bold;
}

#loader{
  background-color: #181515;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  width: 100%;
  z-index: 100;
  position: absolute;
  
}
.loader {
  width: 16px;
  height: 16px;
  position: relative;
  left: -32px;
  border-radius: 50%;
  color: #fff;
  background: currentColor;
  box-shadow: 32px 0 , -32px 0 ,  64px 0;
}

.loader::after {
  content: '';
  position: absolute;
  left: -32px;
  top: 0;
  width: 16px;
  height: 16px;
  border-radius: 10px;
  background:#FF3D00;
  animation: move 3s linear infinite alternate;
}

@keyframes move {
  0% , 5%{
    left: -32px;
    width: 16px;
  }
  15% , 20%{
    left: -32px;
    width: 48px;
  }
  30% , 35%{
    left: 0px;
    width: 16px;
  }
  45% , 50%{
    left: 0px;
    width: 48px;
  }
  60% , 65%{
    left: 32px;
    width: 16px;
  }

  75% , 80% {
    left: 32px;
    width: 48px;
  }
  95%, 100% {
    left: 64px;
    width: 16px;
  }
}

.nav-item{
  font-family: "Economica, sans-serif";
  font-size: 20px;
  font-weight: bold;
}
.navbar-brand img{
  max-width: 50px;
  max-height: 50px;
}

#head{
  background-color: #FF771d;
  text-align: center;
  color: white;
  text-shadow: 2px 2px 5px rgb(77, 77, 77);
  padding: 10px;
  font-size: 30px;
  font-family: "Crimson Text", sans-serif;
}
.carousel-inner {
    max-width: 100%;
    height: auto; /* Set fixed height */
  }

.carousel-item img {
    width: 100%; /* Set responsive width */
    height: 100%; /* Set fixed height */
    object-fit: cover; /* Ensures image fits the container without distortion */
}

.offcanvas a{
  text-decoration: none;
  color: #030303;
  font-family: "Crimson Text", sans-serif;
  font-size: 18px;
}
.offcanvas ul{
  list-style: none;
}

#about h2{
    font-size: 3rem;
    font-family: "Fira Sans", sans-serif;
    color: #ff771d !important;
}

#highlights{
    text-align: center;
    padding: 30px;
    font-family: "Merienda";
    font-size: 30px;
}
#highlights i{
    font-size: 50px;
}

#highlights h1{
  font-family: "Economica";
  font-size: 60px;
  font-weight: bold;
}

#highlights .col{
  margin-top: 10px;
}

#scorer{
  background-color: #FF771d;
  background-image: linear-gradient(0deg, rgb(255, 119, 29) 0%, rgb(255, 255, 255) 100%);
  text-align: center;
  padding: 30px;
  font-family: "Merienda";
  font-size: 30px;
}

#scorer img{
  margin-top: 20px;
  padding-top: 20px;
  border-radius: 50%;
  width: 200px;
  height: 200px;
  object-fit: cover;
}

#educators h1{
  color: #fff;
}

#educators{
  position: relative;
  background-color: #FF771d;
  background-image: linear-gradient(0deg, rgb(255, 255, 255) 0%, rgb(255, 119, 29) 100%);
  text-align: center;
  padding: 40px;
  font-family: "Times New Roman";
  font-size: 25px;
}

#educators img{
    margin-top: 20px;
    padding-top: 20px;
    border-radius: 50%;
    width: 200px;
    height: 200px;
    object-fit: cover;
}

#educators p{
  color: #1300b9;
  font-family: "Crimson Text";
  font-size: 23px;
  justify-content: justify;
}

/* Style for the hover effect */
.educator {
  position: relative;
}

.educator img {
  width: 100%;
  transition: transform 0.3s;
}

.educator img:hover {
  transform: scale(1.35);
}


#notice pre{
  font-size: 18px;
  font-family: "Crimson Text";
}

/* Social Media Styling */
.social-link {
  text-decoration: none;
  color: #fff;
  margin: 0 10px;
  font-size: 2rem;
  transition: color 0.3s ease;
  animation: float 3s ease-in-out infinite; /* Floating animation */
}

.social-link:hover {
    color: #FF771d; /* Highlight color on hover */
}

#footer{
  position: relative;
  color: #ffffff;
  background-color: #181515;
  width: 100%;
  z-index: 1;
}
/* Footer Styling */
footer {
    bottom: 0;
    text-align: center;
    padding: 7px 0;
    margin-top: 20px;
}

.social-media {
    margin-bottom: 10px;
}

.under-footer{
    font-size: 0.8rem !important;
    font-family: "Ecconomica";
    color: #ffffff;
}

  @keyframes float {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-10px);
    }
    100% {
      transform: translateY(0);
    }
  }


.modal-title{
  font-family: "Merienda";
  font-size: 4.5rem;
  font-weight: bold;
}
.modal-body img{
  border-radius: 50%;
  width: 300px;
  height: 300px;
  object-fit: cover;
}
.modal-body span{
  font-family: "Economica";
  font-size: 40px;
}
.modal-body p{
  font-family: "Crimson Text";
  font-size: 20px;
  justify-content: justify;
}
#modalMessage{
  font-family: "Crimson Text";
  font-size: 20px;
  justify-content: justify;
}

#pop{
  position: fixed;
}
#pop img{
  width: 100% !important;
  height: 100% !important;
  border-radius: 0% !important;
}
@media screen and (max-width: 768px){

  .navbar-brand img{
    display: none;
  }
  #nav-signup{
    display: none;
  }
  #nav-login{
    display: none;
  }
  .nav-item a{
    font-size: 13px;
  }
  .nav-item button{
    font-size: 10px;
  }
  .carousel-inner {
    max-width: 100%;
    height: 200px; /* Set fixed height */
  }
  .list-group-item{
    margin: 2px;
    font-size: 12px;
  }
  #head{
    font-size: 20px;
  }
  #features h1{
    font-size: 40px;
  }
  #features p{
    font-size: 20px;
  }
  #features img{
    width: 100%;
    height: 100%;
  }
  #about h2{
    font-size: 2rem;
  }
  #highlights{
    font-size: 20px;
  }
  #highlights h1{
    font-size: 40px;
  }
  #highlights i{
    font-size: 40px;
  }
  #scorer{
    font-size: 20px;
  }
  #scorer img{
    width: 150px;
    height: 150px;
  }
  #educators h1{
    font-size: 40px;
  }
  #educators img{
    width: 150px;
    height: 150px;
  }
  #educators p{
    font-size: 18px;
  }

  .educator .info-popup {
    display: none;
    position: absolute;
    font-size: 15px;
    font-family: "Crimson Text";
    top: -50%;
    left: 30%;
    width: 230px;
    padding: 13px;
    background: rgba(0, 0, 0, 0.8);
    color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 10;
    transition: opacity 0.5s;
    opacity: 0;
  }

  #notice pre{
    font-size: 16px;
  }
  .modal-title{
    font-size: 2.5rem;
  }
  .modal-body img{
    width: 200px;
    height: 200px;
  }
  .modal-body span{
    font-size: 30px;
  }
  .modal-body p{
    font-size: 18px;
  }
  #modalMessage{
    font-size: 18px;
  }
}